=== debian/changelog ===
clonekeen (8.4) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 18 Jun 2012 06:31:24 -0500
