=== debian/control ===
Source: clonekeen
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libsdl1.2-dev
Standards-Version: 3.7.2

Package: clonekeen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The free-software Invasion of the Vorticons clone
 This is a very nearly complete clone of one of my favorite classic DOS games, Commander Keen: Invasion of the Vorticons by ID. The game is written in pure C, uses SDL, and is generally very easy to compile on most platforms.
XSBC-Maemo-Display-Name: CloneKeen
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAAMAUExURQCtAFL/Uq0AAP///wAAAP///wAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
 AAAAAAAAAAAAAAAAAAAAAAAAABnV25IAAAAGdFJOU///////ALO/pL8AAAD9
 SURBVHja7JXBjoMwEEOfk/T/f5jBe2lLmIQC0h5WqyIuQXE8YzuDHtx7Cl/A
 XwC0/dKAbjA47MX9B9sfAI4CtUMMBwwl4X1FxdTfbTp1LEA6ZlBdIZq6HiLt
 TyWpab1tnDZZHG46Aajej8abwnEFsKMYKxpkPY3UBFAhMA3qcgFgCECEp8eN
 WQrAFVbBwtCEHinfuBkZkNdJ22XY36lUam/jhMGB8xVcE0fywe3M+XIYpAO3
 U7xRYG9v5IpyvCuK7swYVUqyPn3YVoMP4xWtL4ihcSV8sQkzuUDTkp7bHOBM
 sge8OnDTW9FEkrPUTxvPJk/7MJb0/WX9I8DPAGB+cnpbQTinAAAAAElFTkSu
 QmCC
 ====
